# class Cairo::SVGSurface

SVG surface

### Public Class Methods

version_to_string(version) click to toggle source

    # File lib/cairo.rb, line 108
    def version_to_string(version)
      SVGVersion.name(version)
    end

versions() click to toggle source

    # File lib/cairo.rb, line 104
    def versions
      SVGVersion.list
    end

versions_as_string() click to toggle source

    # File lib/cairo.rb, line 100
    def versions_as_string
      SVGVersion.names
    end

### Public Instance Methods

restrict_to_version(p1) click to toggle source

    static VALUE
    cr_svg_surface_restrict_to_version (VALUE self, VALUE version)
    {
      cairo_svg_surface_restrict_to_version (_SELF, RVAL2CRSVGVERSION (version));
      rb_cairo_surface_check_status (_SELF);
      return Qnil;
    }